Rated 3 out of 5 stars

This is a really good extension. Very practical. But it doesn't works with FF 3.0 Please make it compatible with 3.0 Then you get a five from me.

This review is for a previous version of the add-on (1.2.8). 

compatible with 3.0

how about 5 stars now? :-)